
QGIS Application - Bug report #20473

QGIS crash

2018-11-13 09:08 AM - Babacar Sakho

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28293

Description

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06

History

#1 - 2018-11-13 12:23 PM - Giovanni Manghi
- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to 3.4.1

- Priority changed from Normal to High

- Category changed from Any to Build/Install

- Subject changed from Ouveture de qgis  to QGIS crash

- Easy fix? set to No

- Regression? set to No

Please add more detail about hot to replicate.

#2 - 2018-11-14 06:49 PM - Jürgen Fischer

- Related to Bug report #20386: Program crashes in idle phase added

#3 - 2019-01-15 04:03 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

This is fixed in 3.4.3

#4 - 2019-01-15 12:02 PM - Jürgen Fischer

- Related to deleted (Bug report #20386: Program crashes in idle phase)

#5 - 2019-01-15 12:02 PM - Jürgen Fischer

- Duplicates Bug report #20386: Program crashes in idle phase added
